input=$(cat "../data/2015/1/input.txt" | sed -E "s/(.)/\1 /g")
read -ra input <<< $input

floor=0
for i in "${input[@]}"
do
    if [[ $i == '(' ]]; then
	floor=$((floor + 1))
    elif [[ $i == ')' ]]; then
	floor=$((floor - 1))
    fi
done
echo "Part 1: $floor"

floor=0
steps=0
for i in "${input[@]}"
do
    if [[ $i == '(' ]]; then
	floor=$((floor + 1))
    elif [[ $i == ')' ]]; then
	floor=$((floor - 1))
    fi
    steps=$((steps + 1))
    if [[ $floor -lt 0 ]]; then break; fi
done
echo Part 2: $steps
